| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

Macros | Typedefs | Functions | Variables
mqx_ksdk module documentation

## Macros
#define | TASK_TEMPLATE_LIST_END {0, 0, 0, 0, 0, 0, 0}
#define | PEX_USE_RTOS
#define | PEX_RTOS_MQX_TYPE
#define | MAINTASK_TASK 1U
#define | EVENTHANDLER_TASK1_TASK 2U
#define | PEX_RTOS_START() _mqx( (MQX_INITIALIZATION_STRUCT_PTR) &MQX_init_struct );

## Typedefs
typedef task_param_t | os_task_param_t

## Functions
const | _WEAK_SYMBOL (MQX_INITIALIZATION_STRUCT MQX_init_struct)

## Variables
void * | kernel_data_prv
const TASK_TEMPLATE_STRUCT | MQX_template_list []
const MQX_INITIALIZATION_STRUCT | MQX_init_struct

## Detailed Description

## Macro Definition Documentation

#define EVENTHANDLER_TASK1_TASK 2U

Definition at line 363 of file mqx_ksdk.h.

Referenced by EventHandler_Task1_Init().

#define MAINTASK_TASK 1U

Definition at line 362 of file mqx_ksdk.h.

Referenced by MainTask_Init().

#define PEX_RTOS_MQX_TYPE

Definition at line 359 of file mqx_ksdk.h.

#define PEX_RTOS_START | ( |  | ) | _mqx( (MQX_INITIALIZATION_STRUCT_PTR) &MQX_init_struct );

Definition at line 366 of file mqx_ksdk.h.

Referenced by main().

#define PEX_USE_RTOS

Definition at line 356 of file mqx_ksdk.h.

#define TASK_TEMPLATE_LIST_END {0, 0, 0, 0, 0, 0, 0}

Definition at line 72 of file mqx_ksdk.c.

## Typedef Documentation

typedef task_param_t os_task_param_t

Definition at line 354 of file mqx_ksdk.h.

## Function Documentation

const _WEAK_SYMBOL | ( | MQX_INITIALIZATION_STRUCT | MQX_init_struct | ) |

## Variable Documentation

void* kernel_data_prv

const MQX_INITIALIZATION_STRUCT MQX_init_struct

const TASK_TEMPLATE_STRUCT MQX_template_list[]

Initial value:
=
{
{
MAINTASK_TASK,
(TASK_FPTR)main_task,
MAINTASK_TASK_STACK_SIZE,
(PRIORITY_OSA_TO_RTOS(MAINTASK_TASK_PRIORITY)),
MAINTASK_TASK_NAME,
(MQX_AUTO_START_TASK),
(uint32_t)(NULL),
(uint32_t)(0U)
},
{
EVENTHANDLER_TASK1_TASK,
(TASK_FPTR)EH_task,
EVENTHANDLER_TASK1_TASK_STACK_SIZE,
(PRIORITY_OSA_TO_RTOS(EVENTHANDLER_TASK1_TASK_PRIORITY)),
EVENTHANDLER_TASK1_TASK_NAME,
(0),
(uint32_t)(NULL),
(uint32_t)(0U)
},
TASK_TEMPLATE_LIST_END
}
EVENTHANDLER_TASK1_TASK_PRIORITY
#define EVENTHANDLER_TASK1_TASK_PRIORITY
Definition: EventHandler_Task1.h:73
TASK_TEMPLATE_LIST_END
#define TASK_TEMPLATE_LIST_END
Definition: mqx_ksdk.c:72
EVENTHANDLER_TASK1_TASK_STACK_SIZE
#define EVENTHANDLER_TASK1_TASK_STACK_SIZE
Definition: EventHandler_Task1.h:71
MAINTASK_TASK
#define MAINTASK_TASK
Definition: mqx_ksdk.h:362
MAINTASK_TASK_STACK_SIZE
#define MAINTASK_TASK_STACK_SIZE
Definition: MainTask.h:70
EVENTHANDLER_TASK1_TASK
#define EVENTHANDLER_TASK1_TASK
Definition: mqx_ksdk.h:363
MAINTASK_TASK_NAME
#define MAINTASK_TASK_NAME
Definition: MainTask.h:68
EVENTHANDLER_TASK1_TASK_NAME
#define EVENTHANDLER_TASK1_TASK_NAME
Definition: EventHandler_Task1.h:69
MAINTASK_TASK_PRIORITY
#define MAINTASK_TASK_PRIORITY
Definition: MainTask.h:72
EH_task
void EH_task(os_task_param_t task_init_data)
Definition: ISFCore1.c:126

Definition at line 76 of file mqx_ksdk.c.

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.